
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;

namespace de.WWWings.CodeOnly
{
    public partial class Pilot
    {
        #region Primitive Properties

       [System.ComponentModel.DataAnnotations.Key]
        public virtual int PersonID
        {
         get;
         set;
        }
        private int _personID;
    
        public virtual Nullable<System.DateTime> FlugscheinSeit
        {
            get;
            set;
        }
    
        public virtual string Flugscheintyp
        {
            get;
            set;
        }
    
        public virtual Nullable<int> Flugstunden
        {
            get;
            set;
        }
    
        public virtual string Flugschule
        {
            get;
            set;
        }

        #endregion
        #region Navigation Properties
    
        public virtual ICollection<Flug> Flug
        {
         get;
         set;
        }

    
        public virtual Mitarbeiter Mitarbeiter
        {
         get;
         set;
        }
        private Mitarbeiter _mitarbeiter;

        #endregion
    
    }
}
